<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>D09/EX00</title>
</head>
<body>

    <div id="balloon"></div>

    <style>
        * { box-sizing: border-box; }

        #balloon {
            width: 200px;
            display: inline-block;
            height: 200px;
            background: red;
            border-radius: 50%;
        }
    </style>

    <script>
        const bal    = document.getElementById('balloon');
        const colors = [ 'red', 'green', 'blue' ];
        let   index  = 0;

        bal.addEventListener('click', (_) => {
            let size = bal.offsetWidth + 10;

            if (size > 420)
                size = 200;

            bal.style.width = bal.style.height = `${size}px`;

            index = (index + 1) % colors.length;
            bal.style.background = colors[index];
        });

        bal.addEventListener('mouseleave', (_) => {
            let size = bal.offsetWidth - 5;

            if (size < 200)
                size = 200;

            index--;

            if (index < 0)
                index = colors.length - 1;

            bal.style.width = bal.style.height = `${size}px`;
            bal.style.background = colors[index];
        });
    </script>
</body>
</html>
